Brand Voice
List brand voices
Get all brand voices for your workspaces.
GET
/
brand-voices
List brand voices
curl --request GET \
--url https://app.mavera.io/api/v1/brand-voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/brand-voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/brand-voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/brand-voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "brand_voice",
"label": "<string>",
"usage_context": "<string>",
"error": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
],
"sources": {
"urls": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"file_type": "<string>",
"file_size": 123
}
]
},
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Query Parameters
Filter by workspace
Filter by status
Available options:
pending, generating, completed, failed Search by label
Maximum number of results (default 50, max 100)
Required range:
1 <= x <= 100Cursor for pagination
⌘I
List brand voices
curl --request GET \
--url https://app.mavera.io/api/v1/brand-voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/brand-voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/brand-voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/brand-voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "brand_voice",
"label": "<string>",
"usage_context": "<string>",
"error": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
],
"sources": {
"urls": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"file_type": "<string>",
"file_size": 123
}
]
},
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}